%define		pkgname	transformers
Summary:	Concrete functor and monad transformers
Summary(pl.UTF-8):	Funktory konkretne i przekształcenia monad
Name:		ghc-%{pkgname}
Version:	0.3.0.0
Release:	3
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/transformers/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	852dc0b79cc2bcb39136287d3dd385e5
URL:		http://hackage.haskell.org/package/transformers/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
This package contains the monad transformer class, the concrete monad
transformers, operations and liftings. It can be used on its own in
Haskell 98 code, or with the monad classes in the monads-fd or
monads-tf packages, which automatically lift operations introduced by
monad transformers through other transformers.

%description -l pl.UTF-8
Ten pakiet zawiera klasę przekształceń monad, konkretne
przekształcenia monad, operacje oraz podniesienia. Może być używana
samodzielnie w kodzie Haskella 98 albo z klasami monad z pakietów
monads-fd lub monads-tf, które automatycznie podnoszą operacje
wprowadzone przez przekształcenia monad poprzez inne przekształcenia.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla pakietu %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla pakietu %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.hs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc LICENSE
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Fri May 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-transformers.git;a=log;h=master

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> eda7800
- don't remove docdir twice
- rel 3

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> 3948ebe
- fixed doc install
- rel 2

* Sun Mar 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 02c9cc7
- pl, check-files cleanup

* Sat Mar 16 2013 Jan Palus <jan.palus@gmail.com> 1fde598
- up to 0.3.0.0

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> 1afa02c
- release 5

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 2e5295c
- missing doc

* Mon Feb 28 2011 Elan Ruusamäe <glen@pld-linux.org> d36bfe2
- update packaging, %requires_eq dep on ghc

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> 68a88ec
- release 3

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> a04d47a
- use %ghc_pkg_recache macro; make url copyable; %ghcdir in rpmbuild macros

* Wed Dec 15 2010 Jan Rękorajski <baggins@pld-linux.org> 3792efb
- rel 1
- no docs here

* Wed Dec 15 2010 Jan Rękorajski <baggins@pld-linux.org> 276382d
- initial revision

